version: '2.1'
services:
  mariadb:
    image: mariadb:10.4.11
    container_name: testbox_mariadb
    networks:
      testbox-network:
        aliases:
          - mariadb-testbox.mwaysolutions.com
    environment:
      - MYSQL_DATABASE=relution
      - MYSQL_ROOT_PASSWORD=S3creTM4r14
      - MYSQL_USER=relution
      - MYSQL_PASSWORD=relution
    healthcheck:
      test: ["CMD", "mysqladmin", "ping", "--silent"]
      interval: 30s
      timeout: 10s
      retries: 5
    expose:
      - '3306'
    volumes:
      - './relution.cnf:/etc/mysql/conf.d/relution.cnf'
  relution:
    image: relution/relution:latest
    container_name: testbox_relution
    networks:
      testbox-network:
        aliases:
          - relution-testbox.mwaysolutions.com
    depends_on:
      mariadb:
        condition: service_healthy
    links:
      - mariadb
    environment:
      - TZ=UTC
      - DATABASE_TYPE=mysql
      - DATABASE_URL=jdbc:mariadb://mariadb-testbox.mwaysolutions.com/relution?useServerPrepStmts=true
      - DATABASE_USER=relution
      - DATABASE_PWD=relution
      - HOSTNAME=http://relution-testbox.mwaysolutions.com
    ports:
      - '8081:8080'

networks:
  testbox-network:
